All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.models.formats
Class FormatDescription

    com.sas.models.formats.FormatDescription

    public class FormatDescription

Constructor Summary
`FormatDescription()`

Method Summary
`java.lang.String` | `getBaseFormatName()`
`int` | `getDefaultDecimalWidth()`
`int` | `getDefaultWidth()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getExample()`
`int` | `getMaxDecimalWidth()`
`int` | `getMaxWidth()`
`int` | `getMinDecimalWidth()`
`int` | `getMinWidth()`
`boolean` | `isDecimalWidthSupported()`
`void` | `setBaseFormatName(java.lang.String baseFormatName)`
`void` | `setDecimalWidthSupported(boolean decimalWidthSupported)`
`void` | `setDefaultDecimalWidth(int defaultDecimalWidth)`
`void` | `setDefaultWidth(int defaultWidth)`
`void` | `setDescription(java.lang.String description)`
`void` | `setExample(java.lang.String example)`
`void` | `setMaxDecimalWidth(int maxDecimalWidth)`
`void` | `setMaxWidth(int maxWidth)`
`void` | `setMinDecimalWidth(int minDecimalWidth)`
`void` | `setMinWidth(int minWidth)`

Constructor Detail

### FormatDescription

    public FormatDescription()

Method Detail

### getDefaultDecimalWidth

    public int getDefaultDecimalWidth()

  Returns:
    Returns the defaultDecimalWidth.

### setDefaultDecimalWidth

    public void setDefaultDecimalWidth(int defaultDecimalWidth)

  Parameters:
    `defaultDecimalWidth` - The defaultDecimalWidth to set.

### getDefaultWidth

    public int getDefaultWidth()

  Returns:
    Returns the defaultWidth.

### setDefaultWidth

    public void setDefaultWidth(int defaultWidth)

  Parameters:
    `defaultWidth` - The defaultWidth to set.

### getDescription

    public java.lang.String getDescription()

  Returns:
    Returns the description.

### setDescription

    public void setDescription(java.lang.String description)

  Parameters:
    `description` - The description to set.

### getMaxDecimalWidth

    public int getMaxDecimalWidth()

  Returns:
    Returns the maxDecimalWidth.

### setMaxDecimalWidth

    public void setMaxDecimalWidth(int maxDecimalWidth)

  Parameters:
    `maxDecimalWidth` - The maxDecimalWidth to set.

### getMaxWidth

    public int getMaxWidth()

  Returns:
    Returns the maxWidth.

### setMaxWidth

    public void setMaxWidth(int maxWidth)

  Parameters:
    `maxWidth` - The maxWidth to set.

### getMinDecimalWidth

    public int getMinDecimalWidth()

  Returns:
    Returns the minDecimalWidth.

### setMinDecimalWidth

    public void setMinDecimalWidth(int minDecimalWidth)

  Parameters:
    `minDecimalWidth` - The minDecimalWidth to set.

### getMinWidth

    public int getMinWidth()

  Returns:
    Returns the minWidth.

### setMinWidth

    public void setMinWidth(int minWidth)

  Parameters:
    `minWidth` - The minWidth to set.

### getBaseFormatName

    public java.lang.String getBaseFormatName()

  Returns:
    Returns the baseFormatName.

### setBaseFormatName

    public void setBaseFormatName(java.lang.String baseFormatName)

  Parameters:
    `baseFormatName` - The baseFormatName to set.

### getExample

    public java.lang.String getExample()

  Returns:
    Returns the example.

### setExample

    public void setExample(java.lang.String example)

  Parameters:
    `example` - The example to set.

### isDecimalWidthSupported

    public boolean isDecimalWidthSupported()

  Returns:
    Returns the decimalWidthSupported.

### setDecimalWidthSupported

    public void setDecimalWidthSupported(boolean decimalWidthSupported)

  Parameters:
    `decimalWidthSupported` - The decimalWidthSupported to set.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.